#include <stdio.h>
#include <string.h>

void reverse_string(char *str) {
    int len = strlen(str);
    int i;
    for ( i = 0; i < len / 2; i++) {
        char temp = str[i];
        str[i] = str[len - 1 - i];
        str[len - 1 - i] = temp;
    }
}

int main() {
    char input[100];
    fgets(input, sizeof(input), stdin);
    reverse_string(input);
    printf("%s", input);
    return 0;
}
